Bug 1674817 - dlib: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: dlib: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dlib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitry Mikhirev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1735093 (view as bug list)
Depends On:
Blocks: F30FTBFS PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:05 UTC by Fedora Release Engineering
Modified: 2019-08-08 13:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 13:39:55 UTC
releng: needinfo? (mikhirev)
mhroncok: needinfo? (mikhirev)
mhroncok: needinfo? (mikhirev)


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:05 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:05 UTC, Fedora Release Engineering
no flags Details
state.log (609 bytes, text/plain)
2019-02-11 17:05 UTC, Fedora Release Engineering
no flags Details
Full log from Copr (Python 3.8) (228.98 KB, text/plain)
2019-05-07 11:15 UTC, Miro Hrončok
no flags Details

Description Fedora Release Engineering 2019-02-11 17:05:09 UTC
dlib failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32376675


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix dlib at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
dlib will be orphaned. Before branching of Fedora 31,
dlib will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:05:11 UTC
Created attachment 1529732 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:05:12 UTC
Created attachment 1529733 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:05:13 UTC
Created attachment 1529734 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:26:38 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Miro Hrončok 2019-05-07 11:14:20 UTC
This blocks the Python 3.8 rebuild.

Call Stack (most recent call first):
  /builddir/build/BUILD/dlib-19.4/dlib/cmake_utils/add_python_module:63 (FIND_PACKAGE)
  CMakeLists.txt:6 (include)
-- Could NOT find Boost
-- Could NOT find Boost
-- Could NOT find Boost
-- Found PythonLibs: /usr/lib64/libpython3.8m.so (found suitable version "3.8.0a3", minimum required is "3.4")
--  *****************************************************************************************************
--  To compile Boost.Python yourself download boost from boost.org and then go into the boost root folder
--  and run these commands:
--     ./bootstrap.sh --with-libraries=python
--     ./b2
--     sudo ./b2 install
--  *****************************************************************************************************
CMake Error at /builddir/build/BUILD/dlib-19.4/dlib/cmake_utils/add_python_module:116 (message):
   Boost python library not found.
Call Stack (most recent call first):
  CMakeLists.txt:6 (include)
-- Configuring incomplete, errors occurred!
See also "/builddir/build/BUILD/dlib-19.4/tools/python/build/CMakeFiles/CMakeOutput.log".
setup.py:355: SyntaxWarning: invalid escape sequence \(
  major = re.findall("set\(CPACK_PACKAGE_VERSION_MAJOR.*\"(.*)\"", open('dlib/CMakeLists.txt').read())[0]
setup.py:356: SyntaxWarning: invalid escape sequence \(
  minor = re.findall("set\(CPACK_PACKAGE_VERSION_MINOR.*\"(.*)\"", open('dlib/CMakeLists.txt').read())[0]
setup.py:357: SyntaxWarning: invalid escape sequence \(
  patch = re.findall("set\(CPACK_PACKAGE_VERSION_PATCH.*\"(.*)\"", open('dlib/CMakeLists.txt').read())[0]
/usr/lib64/python3.8/subprocess.py:820: RuntimeWarning: line buffering (buffering=1) isn't supported in binary mode, the default buffer size will be used
  self.stdout = io.open(c2pread, 'rb', bufsize)
setup.py:298: DeprecationWarning: isAlive() is deprecated, use is_alive() instead
  while t.isAlive():
error: cmake configuration failed!

Comment 6 Miro Hrončok 2019-05-07 11:15:06 UTC
Created attachment 1565099 [details]
Full log from Copr (Python 3.8)

Comment 7 Fedora Release Engineering 2019-07-02 13:30:04 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 8 Miro Hrončok 2019-07-09 14:40:03 UTC
Dmitry?

Comment 9 Fedora Release Engineering 2019-07-24 12:28:03 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 10 Fedora Release Engineering 2019-07-24 13:26:03 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 11 Fedora Release Engineering 2019-07-28 04:25:32 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 12 Miro Hrončok 2019-07-31 19:54:30 UTC
*** Bug 1735093 has been marked as a duplicate of this bug. ***

Comment 13 Fedora Release Engineering 2019-08-04 04:25:33 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 14 Fedora Release Engineering 2019-08-08 13:39:55 UTC
The package was retired.


Note You need to log in before you can comment on or make changes to this bug.